> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /bgptools/tags

> List all Autonomous Systems carrying a given bgp.tools classification tag

**Price:** 1 credit



## OpenAPI

````yaml /openapi/domains-osint.json post /api/bgptools/tags
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/bgptools/tags:
    post:
      tags:
        - /bgptools
      summary: /bgptools/tags
      description: >-
        List all Autonomous Systems carrying a given bgp.tools classification
        tag


        **Price:** 1 credit
      operationId: __api_bgptools_tags_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BgptoolsTagsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BgptoolsTaggedAsn'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BgptoolsTagsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        tag:
          $ref: '#/components/schemas/BgptoolsTagName'
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - tag
        - count
    BgptoolsTaggedAsn:
      properties:
        '@type':
          type: string
          default: BgptoolsTaggedAsn
        asn:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - asn
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    BgptoolsTagName:
      type: string
      enum:
        - personal_asn
        - home_isp
        - content_delivery_network
        - tranco_10k_host
        - vpn_host
        - internet_critical_infra
        - tor_services
        - government
        - academic
        - ipv6_only
        - event
        - server_hosting
        - malware_c2
        - ddos_mitigation
        - mobile_carrier
        - business_broadband
        - satellite_internet
        - direct_feed
        - corporate_enterprise
        - anycast
        - validating_rpki_rov
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````